// Code generated by MockGen. DO NOT EDIT.
// Source: gitlab.com/blauwe-knop/vorderingenoverzicht/session-service/pkg/repositories (interfaces: SessionRepository)
//
// Generated by this command:
//
//	mockgen -destination=./mock_session_repository.go -package=mock gitlab.com/blauwe-knop/vorderingenoverzicht/session-service/pkg/repositories SessionRepository
//

// Package mock is a generated GoMock package.
package mock

import (
	reflect "reflect"

	healthcheck "gitlab.com/blauwe-knop/common/health-checker/pkg/healthcheck"
	model "gitlab.com/blauwe-knop/vorderingenoverzicht/session-service/pkg/model"
	gomock "go.uber.org/mock/gomock"
)

// MockSessionRepository is a mock of SessionRepository interface.
type MockSessionRepository struct {
	ctrl     *gomock.Controller
	recorder *MockSessionRepositoryMockRecorder
	isgomock struct{}
}

// MockSessionRepositoryMockRecorder is the mock recorder for MockSessionRepository.
type MockSessionRepositoryMockRecorder struct {
	mock *MockSessionRepository
}

// NewMockSessionRepository creates a new mock instance.
func NewMockSessionRepository(ctrl *gomock.Controller) *MockSessionRepository {
	mock := &MockSessionRepository{ctrl: ctrl}
	mock.recorder = &MockSessionRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockSessionRepository) EXPECT() *MockSessionRepositoryMockRecorder {
	return m.recorder
}

// CreateNonce mocks base method.
func (m *MockSessionRepository) CreateNonce(arg0 model.Nonce) (*model.Nonce, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "CreateNonce", arg0)
	ret0, _ := ret[0].(*model.Nonce)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// CreateNonce indicates an expected call of CreateNonce.
func (mr *MockSessionRepositoryMockRecorder) CreateNonce(arg0 any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateNonce", reflect.TypeOf((*MockSessionRepository)(nil).CreateNonce), arg0)
}

// CreateSession mocks base method.
func (m *MockSessionRepository) CreateSession(Session model.Session) (*model.Session, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "CreateSession", Session)
	ret0, _ := ret[0].(*model.Session)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// CreateSession indicates an expected call of CreateSession.
func (mr *MockSessionRepositoryMockRecorder) CreateSession(Session any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateSession", reflect.TypeOf((*MockSessionRepository)(nil).CreateSession), Session)
}

// DeleteNonce mocks base method.
func (m *MockSessionRepository) DeleteNonce(arg0 string) (*model.Nonce, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "DeleteNonce", arg0)
	ret0, _ := ret[0].(*model.Nonce)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// DeleteNonce indicates an expected call of DeleteNonce.
func (mr *MockSessionRepositoryMockRecorder) DeleteNonce(arg0 any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "DeleteNonce", reflect.TypeOf((*MockSessionRepository)(nil).DeleteNonce), arg0)
}

// DeleteSession mocks base method.
func (m *MockSessionRepository) DeleteSession(id string) (*model.Session, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "DeleteSession", id)
	ret0, _ := ret[0].(*model.Session)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// DeleteSession indicates an expected call of DeleteSession.
func (mr *MockSessionRepositoryMockRecorder) DeleteSession(id any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "DeleteSession", reflect.TypeOf((*MockSessionRepository)(nil).DeleteSession), id)
}

// GetHealthCheck mocks base method.
func (m *MockSessionRepository) GetHealthCheck() healthcheck.Result {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetHealthCheck")
	ret0, _ := ret[0].(healthcheck.Result)
	return ret0
}

// GetHealthCheck indicates an expected call of GetHealthCheck.
func (mr *MockSessionRepositoryMockRecorder) GetHealthCheck() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetHealthCheck", reflect.TypeOf((*MockSessionRepository)(nil).GetHealthCheck))
}

// GetNonce mocks base method.
func (m *MockSessionRepository) GetNonce(arg0 string) (*model.Nonce, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetNonce", arg0)
	ret0, _ := ret[0].(*model.Nonce)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetNonce indicates an expected call of GetNonce.
func (mr *MockSessionRepositoryMockRecorder) GetNonce(arg0 any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetNonce", reflect.TypeOf((*MockSessionRepository)(nil).GetNonce), arg0)
}

// GetSession mocks base method.
func (m *MockSessionRepository) GetSession(id string) (*model.Session, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetSession", id)
	ret0, _ := ret[0].(*model.Session)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetSession indicates an expected call of GetSession.
func (mr *MockSessionRepositoryMockRecorder) GetSession(id any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetSession", reflect.TypeOf((*MockSessionRepository)(nil).GetSession), id)
}

// ListSession mocks base method.
func (m *MockSessionRepository) ListSession() (*[]model.Session, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "ListSession")
	ret0, _ := ret[0].(*[]model.Session)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// ListSession indicates an expected call of ListSession.
func (mr *MockSessionRepositoryMockRecorder) ListSession() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "ListSession", reflect.TypeOf((*MockSessionRepository)(nil).ListSession))
}

// UpdateSession mocks base method.
func (m *MockSessionRepository) UpdateSession(id string, Session model.Session) (*model.Session, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "UpdateSession", id, Session)
	ret0, _ := ret[0].(*model.Session)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// UpdateSession indicates an expected call of UpdateSession.
func (mr *MockSessionRepositoryMockRecorder) UpdateSession(id, Session any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "UpdateSession", reflect.TypeOf((*MockSessionRepository)(nil).UpdateSession), id, Session)
}
